/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.TarifaTipoptovtaDAO;
import com.rjconsultores.ventaboletos.entidad.TarifaTipoptovta;
import com.rjconsultores.ventaboletos.service.TarifaTipoptovtaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author rodrigo
 */
@Service("tarifaTipoptovtaService")
public class TarifaTipoptovtaServiceImpl implements TarifaTipoptovtaService {

    @Autowired
    private TarifaTipoptovtaDAO tarifaTipoptovtaDAO;

    public List<TarifaTipoptovta> obtenerTodos() {
        return tarifaTipoptovtaDAO.obtenerTodos();
    }

    public TarifaTipoptovta obtenerID(Integer id) {
        return tarifaTipoptovtaDAO.obtenerID(id);
    }

    @Transactional
    public TarifaTipoptovta suscribir(TarifaTipoptovta entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return tarifaTipoptovtaDAO.suscribir(entidad);
    }

    @Transactional
    public TarifaTipoptovta actualizacion(TarifaTipoptovta entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return tarifaTipoptovtaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(TarifaTipoptovta entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        tarifaTipoptovtaDAO.actualizacion(entidad);
    }
}
